<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.zksy.info.mapper.EEmployeeInfoMapper">

    <resultMap id="BaseResultMap" type="com.zksy.info.domain.EEmployeeInfo">
            <id property="id" column="id" jdbcType="VARCHAR"/>
            <result property="workNumber" column="work_number" jdbcType="VARCHAR"/>
            <result property="fullName" column="full_name" jdbcType="VARCHAR"/>
            <result property="gender" column="gender" jdbcType="VARCHAR"/>
            <result property="dateOfBirth" column="date_of_birth" jdbcType="DATE"/>
            <result property="idNumber" column="id_number" jdbcType="VARCHAR"/>
            <result property="contactNumber" column="contact_number" jdbcType="VARCHAR"/>
            <result property="emergencyContact" column="emergency_contact" jdbcType="VARCHAR"/>
            <result property="emergencyContactPhone" column="emergency_contact_phone" jdbcType="VARCHAR"/>
            <result property="photoPath" column="photo_path" jdbcType="VARCHAR"/>
            <result property="department" column="department" jdbcType="VARCHAR"/>
            <result property="position" column="position" jdbcType="VARCHAR"/>
            <result property="jobGrade" column="job_grade" jdbcType="VARCHAR"/>
            <result property="hireDate" column="hire_date" jdbcType="DATE"/>
            <result property="contractExpiryDate" column="contract_expiry_date" jdbcType="DATE"/>
            <result property="createTime" column="create_time" jdbcType="TIMESTAMP"/>
            <result property="createBy" column="create_by" jdbcType="VARCHAR"/>
            <result property="updateTime" column="update_time" jdbcType="TIMESTAMP"/>
            <result property="updateBy" column="update_by" jdbcType="VARCHAR"/>
    </resultMap>

    <sql id="Base_Column_List">
        id,work_number,full_name,
        gender,date_of_birth,id_number,
        contact_number,emergency_contact,emergency_contact_phone,
        photo_path,department,position,
        job_grade,hire_date,contract_expiry_date,
        create_time,create_by,update_time,
        update_by
    </sql>
</mapper>
